"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

var _Tabs = require("./Tabs");

var _classnames = _interopRequireDefault(require("classnames"));

var _dataUtil = require("../../utils/dataUtil");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function Tab(props) {
  const context = (0, _react.useContext)(_Tabs.TabsContext);
  const [activeTab, setActiveTab, size, orientation, disable] = context;
  const {
    value,
    label,
    icon
  } = props;
  return (label || icon) && /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)('ideskuitab-root', {
      'ideskuitab-active': activeTab === value,
      'ideskuitab-medium': size === _dataUtil.SIZE.medium,
      'ideskuitab-large': size === _dataUtil.SIZE.large,
      'ideskuitab-vertical': orientation === _dataUtil.ORIENTATION.vertical
    }),
    onClick: () => !disable && setActiveTab && setActiveTab(value)
  }, icon && /*#__PURE__*/_react.default.createElement("div", {
    className: "ideskuitab-icon"
  }, icon), label && /*#__PURE__*/_react.default.createElement("p", {
    className: "ideskuitab-label"
  }, label));
}

var _default = Tab;
exports.default = _default;