"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TabsContext = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dataUtil = require("../../utils/dataUtil");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const TabsContext = /*#__PURE__*/_react.default.createContext();

exports.TabsContext = TabsContext;

function Tabs(props) {
  const {
    children,
    value = 0,
    onChange,
    size = _dataUtil.SIZE.medium,
    orientation = _dataUtil.ORIENTATION.horizontal,
    disable = false
  } = props;
  return /*#__PURE__*/_react.default.createElement(TabsContext.Provider, {
    value: [value, onChange, size, orientation, disable]
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)('ideskuitabs-root', {
      'ideskuitabs-vertical': orientation === _dataUtil.ORIENTATION.vertical,
      'ideskuitabs-disable': disable
    })
  }, children));
}

var _default = Tabs;
exports.default = _default;