"use strict";

require("core-js/modules/es.object.assign.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dataUtil = require("../../utils/dataUtil");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const VARIANT = {
  text: 'text',
  contained: 'contained',
  outlined: 'outlined'
};

function Button(props) {
  const {
    variant = VARIANT.contained,
    label,
    startImage,
    endImage,
    disabled = false,
    size = _dataUtil.SIZE.medium,
    display = _dataUtil.DISPLAY.inline,
    onClick
  } = props; //create input props

  const inputProps = _objectSpread({}, props);

  ['variant', 'label', 'startImage', 'endImage', 'disabled', 'size', 'display', 'onClick'].forEach(el => delete inputProps[el]);
  return /*#__PURE__*/_react.default.createElement("div", {
    onClick: onClick,
    className: (0, _classnames.default)('ideskuibutton-root', "ideskuibutton-".concat(variant), {
      'ideskuibutton-disabled': disabled
    }, {
      'ideskuibutton-medium': size === _dataUtil.SIZE.medium
    }, {
      'ideskuibutton-large': size === _dataUtil.SIZE.large
    }, {
      'ideskuibutton-block': display === _dataUtil.DISPLAY.block
    })
  }, startImage && startImage, /*#__PURE__*/_react.default.createElement("input", _extends({
    className: "ideskuibutton-item",
    type: "button",
    value: label,
    disabled: disabled
  }, inputProps)), endImage && endImage);
}

var _default = Button;
exports.default = _default;