"use strict";

require("core-js/modules/es.object.assign.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dataUtil = require("../../utils/dataUtil");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const VARIANT = {
  checkbox: 'checkbox',
  radio: 'radio'
};

function Checkbox(props) {
  const {
    variant = VARIANT.checkbox,
    label,
    defaultChecked,
    disabled,
    size = _dataUtil.SIZE.small,
    checked = false,
    onClick,
    onChange
  } = props; //create input props

  const inputProps = _objectSpread({}, props);

  ['variant', 'label', 'onClick', 'disabled', 'onChange'].forEach(el => delete inputProps[el]);
  return /*#__PURE__*/_react.default.createElement("label", {
    onClick: onClick,
    className: (0, _classnames.default)('ideskuicheckbox-root', {
      'ideskuicheckbox-medium': size === _dataUtil.SIZE.medium
    }, {
      'ideskuicheckbox-large': size === _dataUtil.SIZE.large
    })
  }, /*#__PURE__*/_react.default.createElement("input", _extends({}, inputProps, {
    onChange: onChange,
    type: "checkbox",
    disabled: disabled,
    className: "ideskuicheckbox-input"
  }, defaultChecked || checked ? {
    checked: defaultChecked || checked
  } : {})), /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)('ideskuicheckbox-container', {
      'ideskuicheckbox-disabled': disabled,
      'ideskuicheckbox-checkbox': variant === VARIANT.checkbox,
      'ideskuicheckbox-radio': variant === VARIANT.radio
    })
  }, variant === VARIANT.checkbox ? /*#__PURE__*/_react.default.createElement("svg", {
    className: "ideskuicheckbox-clicker",
    viewBox: "0 0 14 11",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M1.32775 4.89447C1.02401 4.59073 0.531547 4.59073 0.227806 4.89447C-0.0759353 5.19821 -0.0759353 5.69068 0.227806 5.99442L4.11669 9.88331C4.42044 10.187 4.9129 10.187 5.21664 9.88331L13.7722 1.32775C14.0759 1.02401 14.0759 0.531547 13.7722 0.227806C13.4685 -0.0759353 12.976 -0.0759353 12.6723 0.227806L4.66667 8.23339L1.32775 4.89447Z"
  })) : /*#__PURE__*/_react.default.createElement("div", {
    className: "ideskuicheckbox-rect"
  })), label && /*#__PURE__*/_react.default.createElement("p", {
    className: "ideskuicheckbox-labelText"
  }, label));
}

var _default = Checkbox;
exports.default = _default;