"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

require("core-js/modules/es.array.includes.js");

require("core-js/modules/es.string.includes.js");

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _useTheme = _interopRequireDefault(require("../../hooks/useTheme"));

var _useMediaQuery = _interopRequireDefault(require("../../hooks/useMediaQuery"));

var _dialogContext = _interopRequireDefault(require("../../utils/dialogContext"));

var _dataUtil = require("../../utils/dataUtil");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Dialog = props => {
  const {
    fullScrean = false,
    size = _dataUtil.SIZE.medium,
    onClose,
    open,
    children,
    fullWidth = false,
    maxWidth = 'sm',
    closeButton = false
  } = props;
  const theme = (0, _useTheme.default)(); //create input props

  const inputProps = _objectSpread({}, props);

  ['fullScrean', 'size', 'onClose', 'open', 'children', 'fullWidth', 'maxWidth', 'closeButton'].forEach(el => delete inputProps[el]);

  let createStyle = maxWidth => {
    let style = {};

    if (!(fullScrean || fullWidth && isFullScrean)) {
      var _theme$breakpoints;

      if (maxWidth && 'number' === typeof maxWidth) {
        style = _objectSpread(_objectSpread({}, style), {}, {
          maxWidth: "".concat(maxWidth, "px")
        });
      }

      if (theme !== null && theme !== void 0 && (_theme$breakpoints = theme.breakpoints) !== null && _theme$breakpoints !== void 0 && _theme$breakpoints.values && maxWidth && Object.keys(theme.breakpoints.values).includes(maxWidth)) {
        style = _objectSpread(_objectSpread({}, style), {}, {
          maxWidth: "".concat(theme.breakpoints.values[maxWidth], "px")
        });
      }
    }

    return style;
  };

  const isFullScrean = (0, _useMediaQuery.default)(maxWidth);
  const refCheck = (0, _react.useRef)(null);
  const escKeyClick = (0, _react.useCallback)(e => {
    if (e.keyCode === 27) onClose();
  }, [onClose]);
  (0, _react.useEffect)(() => {
    let el = refCheck.current;

    if (refCheck.current) {
      refCheck.current.addEventListener('keydown', escKeyClick);
    }

    return () => {
      if (el) {
        el.removeEventListener('keydown', escKeyClick);
      }
    };
  }, [refCheck, escKeyClick]);
  return open && /*#__PURE__*/_react.default.createElement(_dialogContext.default.Provider, {
    value: [size]
  }, /*#__PURE__*/_react.default.createElement("div", {
    ref: refCheck,
    className: (0, _classnames.default)('ideskuidialog-root', {
      'ideskuidialog-fullScrean': fullScrean || fullWidth && isFullScrean
    })
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)('ideskuidialog-backdrop'),
    onClick: onClose
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)('ideskuidialog-item', {}),
    style: createStyle(maxWidth, theme)
  }, closeButton && /*#__PURE__*/_react.default.createElement("svg", {
    onClick: onClose,
    className: "ideskuidialog-close",
    viewBox: "0 0 20 20",
    xmlns: "http://www.w3.org/200  0/svg"
  }, /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#clip0_233_13668)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M8.89949 10L4.65685 5.75736C4.26633 5.36684 4.26633 4.73367 4.65685 4.34315C5.04738 3.95262 5.68054 3.95262 6.07107 4.34315L10.3137 8.58579L14.5563 4.34315C14.9469 3.95262 15.58 3.95262 15.9706 4.34315C16.3611 4.73367 16.3611 5.36683 15.9706 5.75736L11.7279 10L15.9706 14.2426C16.3611 14.6332 16.3611 15.2663 15.9706 15.6569C15.58 16.0474 14.9469 16.0474 14.5563 15.6569L10.3137 11.4142L6.07107 15.6569C5.68054 16.0474 5.04738 16.0474 4.65685 15.6569C4.26633 15.2663 4.26633 14.6332 4.65685 14.2426L8.89949 10Z"
  }), /*#__PURE__*/_react.default.createElement("mask", {
    id: "mask0_233_13668",
    maskUnits: "userSpaceOnUse",
    x: "4",
    y: "4",
    width: "13",
    height: "12"
  }, /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M8.89949 10L4.65685 5.75736C4.26633 5.36684 4.26633 4.73367 4.65685 4.34315C5.04738 3.95262 5.68054 3.95262 6.07107 4.34315L10.3137 8.58579L14.5563 4.34315C14.9469 3.95262 15.58 3.95262 15.9706 4.34315C16.3611 4.73367 16.3611 5.36683 15.9706 5.75736L11.7279 10L15.9706 14.2426C16.3611 14.6332 16.3611 15.2663 15.9706 15.6569C15.58 16.0474 14.9469 16.0474 14.5563 15.6569L10.3137 11.4142L6.07107 15.6569C5.68054 16.0474 5.04738 16.0474 4.65685 15.6569C4.26633 15.2663 4.26633 14.6332 4.65685 14.2426L8.89949 10Z"
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#mask0_233_13668)"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "clip0_233_13668"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: "20",
    height: "20",
    fill: "white"
  })))), children)));
};

var _default = Dialog;
exports.default = _default;