"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function Dropdown(props) {
  const ref = (0, _react.useRef)(false);
  const [itemList, setItemList] = (0, _react.useState)(false);

  const useClickOutside = ref => {
    (0, _react.useEffect)(() => {
      const handleClickOutside = event => {
        if (ref.current && !ref.current.contains(event.target)) {
          setItemList(false);
        }
      };

      document.addEventListener("mousedown", handleClickOutside);
      return () => {
        document.removeEventListener("mousedown", handleClickOutside);
      };
    }, [ref]);
  };

  useClickOutside(ref);

  const handleOpenItemList = () => {
    setItemList(true);
  };

  const handleCloseItemList = () => {
    setItemList(false);
  };

  const handleDeleteText = () => {
    return setItemList(true), props.removeSelected;
  };

  (0, _react.useEffect)(() => {
    if (props.value) {
      return setItemList(false);
    }
  }, [props.value]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: 'container',
    style: {
      fontSize: props.size === 'small' ? '14px' : '16px'
    }
  }, !itemList && /*#__PURE__*/_react.default.createElement("div", {
    className: 'header',
    onClick: handleOpenItemList,
    style: {
      border: itemList ? '1px solid #C2C6D4' : '',
      height: props.size === 'small' ? '28px' : '46px'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: 'header-text',
    style: {
      fontWeight: props.value ? '400' : '300',
      paddingLeft: props.size === 'small' ? '8px' : '16px'
    }
  }, props.value || props.placeholder), /*#__PURE__*/_react.default.createElement("div", {
    className: 'header-icons',
    style: {
      paddingRight: props.size === 'small' ? '14px' : '22px'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: 'delete-position',
    onClick: props.removeSelected,
    style: {
      display: props.value ? 'flex' : 'none'
    }
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: 'delete-icon'
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: 'arrow-position-down',
    style: {
      display: itemList ? 'none' : 'flex'
    }
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: 'arrow-down'
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: 'arrow-position-up',
    style: {
      display: itemList ? 'flex' : 'none'
    }
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: 'arrow-up'
  })))), itemList && /*#__PURE__*/_react.default.createElement("div", {
    className: 'header',
    onClick: handleCloseItemList,
    style: {
      border: itemList ? '1px solid #C2C6D4' : '',
      height: props.size === 'small' ? '28px' : '46px'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: 'header-text',
    style: {
      fontWeight: props.value ? '400' : '300',
      paddingLeft: props.size === 'small' ? '8px' : '16px'
    }
  }, props.value || props.placeholder), /*#__PURE__*/_react.default.createElement("div", {
    className: 'header-icons',
    style: {
      paddingRight: props.size === 'small' ? '14px' : '22px'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: 'delete-position',
    onClick: handleDeleteText,
    style: {
      display: props.value ? 'flex' : 'none'
    }
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: 'delete-icon'
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: 'arrow-position-down',
    style: {
      display: itemList ? 'none' : 'flex'
    }
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: 'arrow-down'
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: 'arrow-position-up',
    style: {
      display: itemList ? 'flex' : 'none'
    }
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: 'arrow-up'
  })))), /*#__PURE__*/_react.default.createElement("div", {
    ref: ref,
    style: {
      display: itemList ? 'flex' : 'none'
    },
    className: 'items-list'
  }, props.data.map((text, index) => {
    return /*#__PURE__*/_react.default.createElement("div", {
      onClick: props.onChange,
      className: 'item'
    }, /*#__PURE__*/_react.default.createElement("div", {
      id: index,
      className: 'item-text'
    }, text));
  })));
}

var _default = Dropdown;
exports.default = _default;