"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dataUtil = require("../../utils/dataUtil");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const VARIANT = {
  text: 'text',
  contained: 'contained',
  outlined: 'outlined'
};
const STATUS = {
  error: 'error',
  success: 'success'
};

function IconButtons(props) {
  const {
    children,
    variant = VARIANT.outlined,
    disabled = false,
    activate = true,
    size = _dataUtil.SIZE.medium,
    status,
    onClick: _onClick
  } = props;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)('ideskuiiconbuttons-root', {
      'ideskuiiconbuttons-outlined': variant === VARIANT.outlined
    }, {
      'ideskuiiconbuttons-contained': variant === VARIANT.contained
    }, {
      'ideskuiiconbuttons-text': variant === VARIANT.text
    }, {
      'ideskuiiconbuttons-medium': size === _dataUtil.SIZE.medium
    }, {
      'ideskuiiconbuttons-large': size === _dataUtil.SIZE.large
    }, {
      'ideskuiiconbuttons-error': status === STATUS.error
    }, {
      'ideskuiiconbuttons-success': status === STATUS.success
    }, {
      'ideskuiiconbuttons-disabled': disabled
    }, {
      'ideskuiiconbuttons-noactivate': !activate && !disabled
    }),
    onClick: e => {
      var _disabled;

      return (_disabled = !disabled) !== null && _disabled !== void 0 ? _disabled : _onClick(e);
    }
  }, children);
}

var _default = IconButtons;
exports.default = _default;