"use strict";

require("core-js/modules/es.object.assign.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dataUtil = require("../../utils/dataUtil");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function TextField(props) {
  const {
    errorText,
    sucessText,
    value,
    onChange,
    onClick,
    placeholder = '',
    error,
    sucess,
    size = _dataUtil.SIZE.medium,
    label,
    image
  } = props;

  const inputProps = _objectSpread({}, props);

  ['errorText', 'value', 'onChange', 'onClick', 'placeholder', 'error', 'sucess', 'size', 'label', 'image'].forEach(el => delete inputProps[el]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)('ideskuiinput-root', {
      'ideskuiinput-medium': size === _dataUtil.SIZE.medium
    }, {
      'ideskuiinput-large': size === _dataUtil.SIZE.large
    })
  }, label && /*#__PURE__*/_react.default.createElement("p", {
    className: (0, _classnames.default)('ideskuiinput-label')
  }, label), /*#__PURE__*/_react.default.createElement("label", {
    className: (0, _classnames.default)('ideskuiinput-container', {
      'ideskuiinput-error': error
    }, {
      'ideskuiinput-sucess': sucess
    })
  }, /*#__PURE__*/_react.default.createElement("input", _extends({}, onChange ? {
    onChange
  } : {}, onClick ? {
    onChange
  } : {}, value !== undefined ? {
    value
  } : {}, placeholder ? {
    placeholder
  } : {}, inputProps, {
    className: (0, _classnames.default)('ideskuiinput-item'),
    type: "text"
  })), image && image), (errorText || sucessText) && /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)('ideskuiinput-helper', {
      'ideskuiinput-errorText': errorText
    }, {
      'ideskuiinput-sucessText': !errorText && sucessText
    })
  }, errorText || sucessText));
}

var _default = TextField;
exports.default = _default;