"use strict";

require("core-js/modules/es.object.assign.js");

require("core-js/modules/web.dom-collections.iterator.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dataUtil = require("../../utils/dataUtil");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const VARIANT = {
  dot: 'dot',
  square: 'square'
};

function Switch(props) {
  const {
    variant = VARIANT.square,
    disabled = false,
    size = _dataUtil.SIZE.medium,
    onClick,
    defaultChecked,
    checked
  } = props; //create input props

  const inputProps = _objectSpread({}, props);

  ['variant', 'disabled', 'size', 'onClick'].forEach(el => delete inputProps[el]);
  const firstRender = (0, _react.useRef)(true);
  (0, _react.useEffect)(() => {
    firstRender.current = false;
  }, []);
  return /*#__PURE__*/_react.default.createElement("label", {
    className: (0, _classnames.default)('ideskuiswitch-root', {
      'ideskuiswitch-medium': size === _dataUtil.SIZE.medium
    }, {
      'ideskuiswitch-large': size === _dataUtil.SIZE.large
    }, {
      'ideskuiswitch-square': variant === VARIANT.square
    }, {
      'ideskuiswitch-dot': variant === VARIANT.dot
    }, {
      'ideskuiswitch-disabled': disabled
    })
  }, /*#__PURE__*/_react.default.createElement("input", _extends({}, inputProps, onClick ? {
    onClick
  } : {}, firstRender.current && defaultChecked || checked ? {
    checked: firstRender.current && defaultChecked || checked
  } : {}, {
    type: "checkbox",
    className: "ideskuiswitch-input"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "ideskuiswitch-container"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: "ideskuiswitch-item"
  })));
}

var _default = Switch;
exports.default = _default;