"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

require("core-js/modules/es.array.includes.js");

require("core-js/modules/es.string.includes.js");

var _react = require("react");

var _themeContext = _interopRequireDefault(require("../utils/themeContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DIRECTION = {
  up: 'up',
  down: 'dowm'
};

const useMediaQuery = function useMediaQuery(size) {
  var _theme$breakpoints;

  let direction = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : DIRECTION.down;
  const [directionDown] = (0, _react.useState)(direction === DIRECTION.down);
  const [result, setResult] = (0, _react.useState)(true);
  const theme = (0, _react.useContext)(_themeContext.default);
  let calcSize = theme !== null && theme !== void 0 && (_theme$breakpoints = theme.breakpoints) !== null && _theme$breakpoints !== void 0 && _theme$breakpoints.values && Object.keys(theme.breakpoints.values).includes(size) ? theme.breakpoints.values[size] : size;
  const checkResize = (0, _react.useCallback)(() => {
    setResult(directionDown && window.innerWidth < calcSize || !directionDown && window.innerWidth > calcSize);
  }, [calcSize, directionDown]);
  (0, _react.useEffect)(() => {
    checkResize();
  }, [checkResize]);
  (0, _react.useEffect)(() => {
    window.addEventListener('resize', checkResize);
    return () => {
      window.removeEventListener('resize', checkResize);
    };
  }, [checkResize]);
  return result;
};

var _default = useMediaQuery;
exports.default = _default;