import React, { ComponentProps } from 'react'
declare module 'idesk-mui' {
  export const Switch: React.FC<{
    onChange?(event: React.ChangeEvent<HTMLElement>): void
    onClick?(event: React.MouseEvent<HTMLElement>): void
    checked?: boolean
    defaultChecked?: boolean
    size?: 'small' | 'medium' | 'large'
    disabled?: boolean
    variant?: 'dot' | 'square'
  }>

  export const Switcher: React.FC<{
    onChange: any
    checked: any
    onClick?: any
  }>

  export const SwitchIcon: React.FC<{
    onChange: any
    checked: any
    onClick?: any
  }>

  export const Input: React.FC<{
    size?: 'small' | 'medium' | 'large'
    placeholder?: string
    value?: string
    error?: boolean
    errorText?: string
    sucess?: boolean
    sucessText?: string
    label?: string
    image?: React.ReactNode
  }>

  export const TextInput: React.FC<{
    errorText?: string
    value?: string
    placeholder?: string
  }>

  export const Dropdown: React.FC<{
    data: Array<any>
    placeholder?: string
    size?: 'small'
    value: string
    onChange: any
    removeSelected: any
  }>

  export const DropdownList: React.FC<{
    data: Array<any>
    placeholder?: string
    darkMode?: boolean
    value: string
    onChange: any
  }>

  export const Checkbox: React.FC<{
    size?: 'small' | 'medium' | 'large'
    variant?: 'checkbox' | 'radio'
    defaultChecked?: boolean
    checked?: boolean
    disabled?: boolean
    onChange?(event: React.ChangeEvent<HTMLElement>): void
    onClick?(event: React.MouseEvent<HTMLElement>): void
    label: string
  }>

  export const Button: React.FC<{
    variant: 'text' | 'contained' | 'outlined'
    disabled?: boolean
    size?: 'small' | 'medium' | 'large'
    display?: 'inline' | 'block'
    onClick?(event: React.MouseEvent<HTMLElement>): void
    label: string
    startImage: React.ReactNode
    endImage: React.ReactNode
  }>

  export const ButtonIcon: React.FC<{
    label: string
    icon: string
    iconHover: string
    onClick?: any
  }>
  export const Icons: {
    IconsDebug: React.ReactNode
    IconsCheck: React.ReactNode
    IconsWind: React.ReactNode
    IconsCheckCircle: React.ReactNode
    IconsHelp: React.ReactNode
    IconsAnalytics: React.ReactNode
    IconsDraw: React.ReactNode
    IconsSettings: React.ReactNode
    IconsBox: React.ReactNode
    IconsEdit: React.ReactNode
    IconsMenu2: React.ReactNode
    IconsSmile: React.ReactNode
    IconsVolume: React.ReactNode
    IconsGrid: React.ReactNode
    IconsMenu: React.ReactNode
    IconsMonitor: React.ReactNode
    IconsMicroOff: React.ReactNode
    IconsCameraOff: React.ReactNode
    IconsStar: React.ReactNode
    IconsUserOut: React.ReactNode
    IconsCards: React.ReactNode
    IconsTrash: React.ReactNode
    IconsCloseWindow: React.ReactNode
    IconsShow: React.ReactNode
    IconsTime: React.ReactNode
    IconsCalendar: React.ReactNode
    IconsPeople: React.ReactNode
    IconsLogout: React.ReactNode
    IconsOpen: React.ReactNode
    IconsClose: React.ReactNode
    IconsPerson: React.ReactNode
    IconsPlus: React.ReactNode
    IconsUnlock: React.ReactNode
  }
  export const Typography: React.FC<
    {
      children: React.ReactNode
      variant:
        | 'h1'
        | 'h2'
        | 'h3'
        | 'h4'
        | 'h5'
        | 'h6'
        | 'subtitle1'
        | 'subtitle2'
        | 'body1'
        | 'body2'
        | 'body3'
    } & ComponentProps<'p'>
  >
  export const IconButtons: React.FC<{
    variant?: 'text' | 'contained' | 'outlined'
    disabled?: boolean
    activate?: boolean
    size?: 'small' | 'medium' | 'large'
    status?: 'error' | 'success'
    children: React.ReactNode
  }>
}
